<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function sec

Calculate the secant of a value, defined as `sec(x) = 1/cos(x)`.

For matrices, the function is evaluated element wise.


## Syntax

```js
math.sec(x)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`x` | number &#124; Complex &#124; Unit &#124; Array &#124; Matrix | Function input

### Returns

Type | Description
---- | -----------
number &#124; Complex &#124; Array &#124; Matrix | Secant of x


## Examples

```js
math.sec(2);      // returns number -2.4029979617223822
1 / math.cos(2);  // returns number -2.4029979617223822
```


## See also

[cos](cos.md),
[csc](csc.md),
[cot](cot.md)
